<?php
#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life:Source
# http://www.hlstatsx.com/
# Copyright (C) 2005 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HlstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
	 
	$db->query("SELECT name FROM hlstats_Games WHERE code='$game'");
	if ($db->num_rows() < 1) error("No such game '$game'.");
	
	list($gamename) = $db->fetch_row();
	$db->free_result();

	pageHeader(array($gamename), array($gamename=>""));
?>

<br>
<?php
    $query= "
			SELECT
				count(*)
			FROM
				hlstats_Players
      WHERE 
        game='$game'
		";
		$result = $db->query($query);
		list($total_players) = $db->fetch_row($result);

    $query= "
			SELECT
				SUM(kills),
				SUM(headshots),
				count(serverId)		
			FROM
				hlstats_Servers
      WHERE 
        game='$game'
      ORDER BY serverId
		";
		$result = $db->query($query);
		list($total_kills, $total_headshots, $total_servers) = $db->fetch_row($result);
?>

<table width="100%" align="center" border=0 cellspacing=0 cellpadding=0>

<tr>
	<td><?php echo $g_options["font_normal"]; ?>&nbsp;<img src="<?php echo $g_options["imgdir"]; ?>/downarrow.gif" width=9 height=6 border=0 align="middle" alt="downarrow.gif"><b>&nbsp;Participating Servers</b><?php echo $g_options["fontend_normal"];?><p>
		
    <table width="95%" align="center" border=0 cellspacing=1 cellpadding=4 bgcolor="<?php echo $g_options["table_border"]; ?>">
    <tr bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>"><td width="100%" align="left" style="color:white"><?php
				if ($total_kills>0)
				  $hpk = sprintf("%.2f", ($total_headshots/$total_kills)*100);
				else  
				  $hpk = sprintf("%.2f", 0);
     		echo $g_options["font_normal"];
				echo "Tracking <b>$total_players</b> players with <b>$total_kills</b> kills and <b>$total_headshots</b> headshots (<b>$hpk%</b>) on <b>$total_servers</b> servers";  
	      echo $g_options["fontend_normal"]; ?></td>
		</tr>	
    </table>
    <table width="95%" align="center" border=0 cellspacing=0 cellpadding=0 bgcolor="<?php echo $g_options["table_border"]; ?>" style="border-bottom:1px solid <?php echo $g_options["table_border"]; ?>;border-left:1px solid <?php echo $g_options["table_border"]; ?>;border-right:1px solid <?php echo $g_options["table_border"]; ?>;margin-bottom:40px;">
        <tr bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
          <td align="center" style="padding:0px;background:<?php echo $g_options["table_head_bgcolor"]; ?>;">
          <img src="show_graph.php?type=1&amp;width=870&amp;height=200&amp;bgcolor=<?php echo substr($g_options["table_head_bgcolor"], 1); ?>">
          </td>
        </tr>
    </table>
			
	
<?php
    $query= "
			SELECT
				serverId,
				name,
				IF(publicaddress != '',
					publicaddress,
					concat(address, ':', port)
				) AS addr,
				statusurl,
				kills,
				headshots,				
				act_players,								
				max_players,
				act_map,
				map_started,
				map_ct_wins,
				map_ts_wins					
			FROM
				hlstats_Servers
			WHERE
				game='$game'
			ORDER BY
				serverId
		";
		$db->query($query);
		$servers = array();
		while ($rowdata = $db->fetch_array())
		  $servers[] = $rowdata;
		  

		$i=0;
		for ($i=0; $i<count($servers); $i++)
		{
			$rowdata = $servers[$i]; 
			
			$server_id = $rowdata['serverId'];
			
			$c = ($i % 2) + 1;
			
			if ($rowdata["statusurl"])
			{
				$addr = "<a href=\"" . $rowdata["statusurl"] . "\">"
					. $rowdata["addr"] . "</a>";
			}
			else
			{
				$addr = $rowdata["addr"];
			}
			
			$kills     = $rowdata['kills'];
			$headshots = $rowdata['headshots'];
			
		  
		  $player_string = $rowdata['act_players']."/".$rowdata['max_players'];
		  $map_ct_wins = $rowdata['map_ct_wins'];
		  $map_ts_wins = $rowdata['map_ts_wins'];

?>

      <table width="95%" align="center" border=0 cellspacing=1 cellpadding=4 bgcolor="<?php echo $g_options["table_border"]; ?>">
				<tr valign="bottom" bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
					<td width="37%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Server</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="23%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Address</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Map</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Played</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="10%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Players</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Kills</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Headshots</font><?php echo $g_options["fontend_small"]; ?></td>
					<td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hpk</font><?php echo $g_options["fontend_small"]; ?></td>
				</tr>
				<tr valign="middle" bgcolor="<?php echo $g_options["table_bgcolor$c"]; ?>">
					<td align="left" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo "<b>".$rowdata["name"]."</b>";
						echo $g_options["fontend_normal"]; ?></td>
					<td align="left" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $addr;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $rowdata['act_map'];
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
         	  $stamp = time()-$rowdata['map_started'];
         	  $hours = sprintf("%02d", floor($stamp / 3600));
	       	  $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
	      	  $sec   = sprintf("%02d", floor($stamp % 60)); 
						echo $g_options["font_normal"];
						echo $hours.":".$min.":".$sec;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $player_string;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $kills;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						echo $headshots;
						echo $g_options["fontend_normal"];
					?></td>
					<td align="center" style="background:white;color:black"><?php
						echo $g_options["font_normal"];
						if ($kills>0)
						  echo sprintf("%.4f", ($headshots/$kills));
						else  
						  echo sprintf("%.4f", 0);
						echo $g_options["fontend_normal"];
					?></td>
				</tr>
        </table>        

        <table width="95%" align="center" border=0 cellspacing=0 cellpadding=0 bgcolor="<?php echo $g_options["table_border"]; ?>" style="border-bottom:1px solid <?php echo $g_options["table_border"]; ?>;border-left:1px solid <?php echo $g_options["table_border"]; ?>;border-right:1px solid <?php echo $g_options["table_border"]; ?>;">
        <tr bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
          <td align="center" style="padding:0px;background:<?php echo $g_options["table_head_bgcolor"]; ?>;">
            <img src="show_graph.php?type=0&amp;width=870&amp;height=200&amp;server_id=<?php echo $server_id ?>&amp;bgcolor=<?php echo substr($g_options["table_head_bgcolor"], 1); ?>">
          </td>
        </tr>
        </table>
                
        <table width="95%" align="center" border=0 cellspacing=0 cellpadding=2 bgcolor="<?php echo $g_options["table_border"]; ?>" style="border-bottom:1px solid <?php echo $g_options["table_border"]; ?>;border-left:1px solid <?php echo $g_options["table_border"]; ?>;border-right:1px solid <?php echo $g_options["table_border"]; ?>;margin-bottom:40px;">
    				<tr valign="bottom" bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">

			  		<td width="1%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;#</font><?php echo $g_options["fontend_small"]; ?></td>
		  			<td width="21%" align="left"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Player</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td colspan="3" width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Frags</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="2%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hs</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="4%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hpk</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Acc</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Lat</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Time</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;+/-</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Skill</font><?php echo $g_options["fontend_small"]; ?></td>

			  		<td width="1%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;#</font><?php echo $g_options["fontend_small"]; ?></td>
		  			<td width="21%" align="left"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Player</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td colspan="3" width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Frags</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="2%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hs</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="4%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Hpk</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Acc</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Lat</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="5%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Time</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;+/-</font><?php echo $g_options["fontend_small"]; ?></td>
			  		<td width="3%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Skill</font><?php echo $g_options["fontend_small"]; ?></td>
				  </tr>
				
<?php 
    $players = $db->query("SELECT * FROM hlstats_Livestats WHERE server_id=".$server_id." ORDER BY kills DESC");
		
		$ct_wins      = 0;
		$ct_kills     = 0;
		$ct_deaths    = 0;
		$ct_time      = 0;
		$ct_headshots = 0;
		$ct_pings     = 0;
		$ct_skill     = 0;
		$ct_shots     = 0;
		$ct_hits      = 0;
		
		$ts_wins      = 0;
		$ts_kills     = 0;
		$ts_deaths    = 0;
		$ts_time      = 0;
		$ts_headshots = 0;
		$ts_pings     = 0;
		$ts_skill     = 0;
		$ts_shots     = 0;
		$ts_hits      = 0;

		$ct_players = array();
		$ts_players = array();
		$co_players = array();
		while ($pl_rowdata = $db->fetch_array())
		{
			 if ($pl_rowdata['team'] == "CT") {
			   if ($pl_rowdata['connected'] > 0) {
  			 	 $ct_players[] = $pl_rowdata;
  			 	 $ct_kills     += $pl_rowdata['kills'];
  			 	 $ct_deaths    += $pl_rowdata['deaths'];
  			 	 $ct_headshots += $pl_rowdata['headshots'];
  			 	 $ct_pings     += $pl_rowdata['ping'];
  			 	 $ct_skill     += $pl_rowdata['skill'];
  			 	 $ct_shots     += $pl_rowdata['shots']; 
  			 	 $ct_hits      += $pl_rowdata['hits']; 
  			 	 $ct_time      += time()-$pl_rowdata['connected'];
			   } else
  			   $co_players[] = $pl_rowdata;	 
			 } else if ($pl_rowdata['team'] == "TERRORIST") {
			   if ($pl_rowdata['connected'] > 0) {
			 	   $ts_players[] = $pl_rowdata;
  			 	 $ts_kills     += $pl_rowdata['kills'];
  			 	 $ts_deaths    += $pl_rowdata['deaths'];
  			 	 $ts_headshots += $pl_rowdata['headshots'];
  			 	 $ts_pings     += $pl_rowdata['ping'];
  			 	 $ts_skill     += $pl_rowdata['skill'];
  			 	 $ts_shots     += $pl_rowdata['shots']; 
  			 	 $ts_hits      += $pl_rowdata['hits']; 
  			 	 $ts_time      += time()-$pl_rowdata['connected'];
			   } else
  			   $co_players[] = $pl_rowdata;	 
			 } else
			   $co_players[] = $pl_rowdata;	 
		}
		
		$j=0;
		while ((isset($ct_players[$j])) || (isset($ts_players[$j]))) {		
?>
              <tr>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo ($j+1);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
                    if (strlen($ct_players[$j]['name'])>20)
                      $ct_players[$j]['name'] = substr($ct_players[$j]['name'], 0, 20);
						        echo "<a class=\"ct_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$ct_players[$j]['player_id']."\">".htmlentities($ct_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['kills'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo ":";
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['deaths'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
					          echo $ct_players[$j]['headshots'];
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
				      			$hpk = sprintf("%.2f", 0);
				      			if ($ct_players[$j]['kills'] > 0) {
				      				$hpk = sprintf("%.2f", $ct_players[$j]['headshots']/$ct_players[$j]['kills']);
				      			}	  
					          echo $hpk;
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j])) {
				      			$acc = sprintf("%.0f", 0);
				      			if ($ct_players[$j]['shots'] > 0) {
				      				$acc = sprintf("%.0f", ($ct_players[$j]['hits']/$ct_players[$j]['shots'])*100);
				      			}	  
					          echo $acc."%";
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo sprintf("%.0f", $ct_players[$j]['ping'] / 2);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        if ($ct_players[$j]['connected']>0) {
						        	 $stamp = time()-$ct_players[$j]['connected'];
						        	 $hours = sprintf("%02d", floor($stamp / 3600));
						        	 $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
						        	 $sec   = sprintf("%02d", floor($stamp % 60)); 
						        	 echo $hours.":".$min.":".$sec;  
						        } else
						          echo "Unknown";	
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['skill_change'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ct_players[$j]))
						        echo $ct_players[$j]['skill'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>


       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo ($j+1);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j])) {
                    if (strlen($ts_players[$j]['name'])>20)
                      $ts_players[$j]['name'] = substr($ts_players[$j]['name'], 0, 20);
						        echo "<a class=\"ts_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$ts_players[$j]['player_id']."\">".htmlentities($ts_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo $ts_players[$j]['kills'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo ":";
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo $ts_players[$j]['deaths'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
					          echo $ts_players[$j]['headshots'];
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j])) {
				      			$hpk = sprintf("%.2f", 0);
				      			if ($ts_players[$j]['kills'] > 0) {
				      				$hpk = sprintf("%.2f", $ts_players[$j]['headshots']/$ts_players[$j]['kills']);
				      			}	  
					          echo $hpk;
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j])) {
				      			$acc = sprintf("%.0f", 0);
				      			if ($ts_players[$j]['shots'] > 0) {
				      				$acc = sprintf("%.0f", ($ts_players[$j]['hits']/$ts_players[$j]['shots'])*100);
				      			}	  
					          echo $acc."%";
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo sprintf("%.0f", $ts_players[$j]['ping'] / 2);
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        if ($ts_players[$j]['connected']>0) {
						        	 $stamp = time()-$ts_players[$j]['connected'];
						        	 $hours = sprintf("%02d", floor($stamp / 3600));
						        	 $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
						        	 $sec   = sprintf("%02d", floor($stamp % 60)); 
						        	 echo $hours.":".$min.":".$sec;  
						        } else
						          echo "Unknown";	
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo $ts_players[$j]['skill_change'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($ts_players[$j]))
						        echo $ts_players[$j]['skill'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
              </tr>          
<?php		
    $j++;
    }  // while players
    
    if ((count($ct_players)>0) || (count($ts_players)>0)) 
    {  // show summary
    	?>
              <tr>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "<b>".$map_ct_wins."</b> wins";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        echo $ct_kills;
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        echo ":";
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        echo $ct_deaths;
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
					          echo $ct_headshots;
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0) {
				      			$hpk = sprintf("%.2f", 0);
  				      		if ($ct_kills>0)
				      				$hpk = sprintf("%.2f", $ct_headshots/$ct_kills);
					          echo $hpk;
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0) {
				      			$acc = sprintf("%.0f", 0);
				      			if ($ct_shots > 0) {
				      				$acc = sprintf("%.0f", ($ct_hits/$ct_shots)*100);
				      			}	  
					          echo $acc."%";
				      		}else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
						      
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        echo sprintf("%.0f", ($ct_pings / 2) / count($ct_players));
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        if ($ct_time > 0) {
						        	 $stamp = $ct_time;
						        	 $hours = sprintf("%02d", floor($stamp / 3600));
						        	 $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
						        	 $sec   = sprintf("%02d", floor($stamp % 60)); 
						        	 echo $hours.":".$min.":".$sec;  
						        } else
						          echo "Unknown";	
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#D2E8F7;color:#0080C0;border-top:1px #0080C0 solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ct_players)>0)
						        echo sprintf("%.0f", $ct_skill/count($ct_players));
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>


       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "<b>".$map_ts_wins."</b> wins";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        echo $ts_kills;
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        echo ":";
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        echo $ts_deaths;
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
					          echo $ts_headshots;
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0) {
				      			$hpk = sprintf("%.2f", 0);
  				      		if ($ts_kills>0)
				      				$hpk = sprintf("%.2f", $ts_headshots/$ts_kills);
					          echo $hpk;
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0) {
				      			$acc = sprintf("%.0f", 0);
				      			if ($ts_shots > 0)
				      				$acc = sprintf("%.0f", ($ts_hits/$ts_shots)*100);
					          echo $acc."%";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        echo sprintf("%.0f", ($ts_pings / 2) / count($ts_players));
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        if ($ts_time > 0) {
						        	 $stamp = $ts_time;
						        	 $hours = sprintf("%02d", floor($stamp / 3600));
						        	 $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
						        	 $sec   = sprintf("%02d", floor($stamp % 60)); 
						        	 echo $hours.":".$min.":".$sec;  
						        } else
						          echo "Unknown";	
				      		else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#FFD5D5;color:#FF2D2D;border-top:1px #FF2D2D solid"><?php 
				      		echo $g_options["font_normal"];
				      		if (count($ts_players)>0)
						        echo sprintf("%.0f", $ts_skill/count($ts_players));
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
              </tr>          
    	
<?php
    }  // if	
    
		$j=0;
		while (isset($co_players[$j])) {
			?>
              <tr>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo ($j+1);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j])) {
                    if (strlen($co_players[$j]['name'])>20)
                      $co_players[$j]['name'] = substr($co_players[$j]['name'], 0, 20);
						        echo "<a class=\"co_link\" href=\"".$g_options["scripturl"]."?mode=playerinfo&amp;player=".$co_players[$j]['player_id']."\">".htmlentities($co_players[$j]['name'], ENT_COMPAT, "UTF-8")."</a>";
				      		} else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="right" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="1%" align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td width="2%" align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo sprintf("%.0f", $co_players[$j]['ping'] / 2);
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
  				        echo "-";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
				      		if (isset($co_players[$j]))
						        echo $co_players[$j]['skill'];
						      else
						        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td colspan="12" align="center" style="background:#EFEFEF;color:black"></td> 
						  </tr>      
			<?php
		$j++;	
		}			
    if ((count($ct_players)==0) && (count($ts_players)==0) && (count($co_players)==0))
    {
    	?>
              <tr>
       					<td align="center" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "&nbsp";  
						      echo $g_options["fontend_normal"]; ?></td>
       					<td colspan="24" align="left" style="background:#EFEFEF;color:black"><?php 
				      		echo $g_options["font_normal"];
					        echo "No Players";  
						      echo $g_options["fontend_normal"]; ?></td>
						  </tr>
			<?php			      
    	
    }
    ?>
		  </table>
<?php			  	
	}  // for servers
?>
		
</table>
<br>
<?php
	$resultAwards = $db->query("
		SELECT
			hlstats_Awards.awardType,
			hlstats_Awards.code,
			hlstats_Awards.name,
			hlstats_Awards.verb,
			hlstats_Awards.d_winner_id,
			hlstats_Awards.d_winner_count,
			hlstats_Players.lastName AS d_winner_name
		FROM
			hlstats_Awards
		LEFT JOIN hlstats_Players ON
			hlstats_Players.playerId = hlstats_Awards.d_winner_id
		WHERE
			hlstats_Awards.game='$game'
		ORDER BY
			hlstats_Awards.awardType DESC,
			hlstats_Awards.name ASC
	");
	
	$result = $db->query("
		SELECT
			IFNULL(value, 1)
		FROM
			hlstats_Options
		WHERE
			keyname='awards_numdays'
	");

	if ($db->num_rows($result) == 1)
		list($awards_numdays) = $db->fetch_row($result);
	else
		$awards_numdays = 1;

	$result = $db->query("
		SELECT
			DATE_FORMAT(value, '%W %e %b'),
			DATE_FORMAT( DATE_SUB( value, INTERVAL $awards_numdays DAY ) , '%W %e %b' )
		FROM
			hlstats_Options
		WHERE
			keyname='awards_d_date'
	");
	list($awards_d_date, $awards_s_date) = $db->fetch_row($result);

	if ($db->num_rows($resultAwards) > 0 && $awards_d_date)
	{
?>
<table width="100%" align="center" border=0 cellspacing=0 cellpadding=0>

<tr>
	<td><?php echo $g_options["font_normal"]; ?>&nbsp;<img src="<?php echo $g_options["imgdir"]; ?>/downarrow.gif" width=9 height=6 border=0 align="middle" alt="downarrow.gif"><b>&nbsp; <?php if ($awards_numdays == 1) {echo "Daily";} else { echo "$awards_numdays Day";}; ?> Awards (<?php echo "$awards_s_date to $awards_d_date."; ?>)</b><?php echo $g_options["fontend_normal"];?><p>

		<table width="95%" align="center" border=0 cellspacing=0 cellpadding=0 bgcolor="<?php echo $g_options["table_border"]; ?>">
		<tr>
			<td>
				<table width="100%" border=0 cellspacing=1 cellpadding=4>

<?php
		$c = 0;
		while ($awarddata = $db->fetch_array($resultAwards))
		{
			$colour = ($c % 2) + 1;
			$c++;
?>

<tr bgcolor="<?php echo $g_options["table_bgcolor$colour"]; ?>">
	<td width="40%"><?php
			echo $g_options["font_normal"];
			echo htmlspecialchars($awarddata["name"]);
			echo $g_options["fontend_normal"];
		?></td>
	<td width="60%"><?php
			echo $g_options["font_normal"];
			
			if ($awarddata["d_winner_id"])
			{
				echo "<a href=\"" . $g_options["scripturl"] . "?mode=playerinfo&amp;player="
					. $awarddata["d_winner_id"] . "\"><img src=\""
					. $g_options["imgdir"] . "/player.gif\" width=16 height=16 "
					. "hspace=4 border=0 align=\"middle\" alt=\"player.gif\"><b>"
					. htmlspecialchars($awarddata["d_winner_name"]) . "</b></a> ("
					. $awarddata["d_winner_count"] . " " . htmlspecialchars($awarddata["verb"]) . ")";
			}
			else
			{
				echo "&nbsp;&nbsp;(Nobody)";
			}
			
			echo $g_options["fontend_normal"];
		?></td>
</tr>

<?php
		}
?></table></td>
		</tr>
		</table>


</table><p>

<?php
	}
?>
